github-backup(1)

NAME
github-backup - backs up data from GitHub

SYNOPSIS
github-backup [username|organization ...] [options]

DESCRIPTION
github-backup is a simple tool you run in a git repository you cloned from GitHub. It backs up everything GitHub publishes about the repository, including other branches, tags, forks, issues, comments, wikis, milestones, pull requests, and watchers.

Alternately, if you pass it the username of a GitHub user, it will check out, and back up, all that user's repositories, as well as all the repositories that user is watching. (Also works to pass the name of an organization using GitHub.)

By default it runs without logging in to GitHub. To log in, set GITHUB_USER and GITHUB_PASSWORD environment variables. However note that this only works around API rate limiting; it does not allow private repositories to be downloaded.

OPTIONS

--exclude=username/repository
    When backing up a user or an organization, this can be used to exclude bacup of a particular repository belonging to the user or organization. This option can be specified any number of time to exclude more than one repository.

--no-forks
    Avoid backing up a repository's forks.

AUTHOR
Joey Hess <joey@kitenet.net>